% monthly USDX to annual USDX (base on the last business day Close of the month, e.g. 31/jan 28/feb, 31/mar ...)
%USDXmnclose = xlsread('.\data_in\dx_f_m___Stoop_monthly.csv','e2:e637');
%USDXm=reshape(USDXmnclose,12,53);
USDXmnclose = xlsread('.\data_in\dx_f_m___Stoop_monthly_210514.csv','e2:e649');   % 2021
USDXm=reshape(USDXmnclose,12,54);
USDXann=mean(USDXm)'; % mean of 12 months
xlswrite(['.\data_in\dx_f_y___Stooq_annual.xlsx'],USDXann,'dx_f_y___Stooq.com','j5')
